INDIGO-DEPICT(1)

NAME
indigo-depict - molecule and reaction rendering utility

SYNOPSIS
indigo-depict infile.{mol,rxn,cml,smi} outfile.{png,svg,pdf} [parameters]

indigo-depict infile.{cml,rdf,rdf.gz,sdf,sdf.gz,smi} outfile_%s.{png,svg,pdf} [parameters]

indigo-depict infile.smi outfile.{cml,mol,rdf,rxn,sdf} [parameters]

indigo-depict - SMILES outfile.{cml,mol,pdf,png,rxn,svg} [parameters]

indigo-depict -help

DESCRIPTION
indigo-depict is used for depicting molecules.

OPTIONS
indigo-depict can read input files or SMILES code from the standard input. These can be followed by one or more of the following parameters.

-w <number>
    Picture width in pixels

-h <number>
    Picture height in pixels

-bond <number>
    Average bond length in pixels

-margins <number> <number>
    Horizontal and vertical margins, in pixels. No margins by default

-thickness <number>
    Set relative thickness factor. Default is 1.0

-linewidth <number>
    Set bond line width factor. Default is 1.0

-label <none|hetero|terminal-hetero|all>
    Set atom label display mode. Default is terminal-hetero

-hydro <on|off>
    Show implicit hydrogens. Default is on

-[de]arom
    Force [de]aromatization

-stereo <old|ext|none>
    Stereogroups display mode. Default is old

-cdbwsa
    Center double bonds which have an adjacent stereo bond (disabled by default)

-query
    Treat the input as a query molecule or reaction (disabled by default)

-smarts
    Treat the input as a SMARTS query molecule or reaction (disabled by default)

-idfield <string>
    SDF/RDF field to be put in place of '%s' in the names of saved files (default is molecule/reaction number)

-catalysts <above|above-and-below>
    Reaction catalysts placement w.r.t. the arrow. Default is above-and-below

-comment <string>
    Text comment to be put above the molecule or reaction. No default value

-commentoffset <number>
    Vertical space (in pixels) between the comment and the structure

-commentfield <string>
    Use specified SDF/RDF field as a comment

-commentname
    Use molecule/reaction name as a comment

-commentsize <number>
    Text comment font size factor relative to bond thickness. Default is 6

-commentpos <top|bottom>
    Text comment position (bottom by default)

-commentalign  <0..1>
    Text comment alignment, a float value: 0 = left, 0.5 = center, 1 = right

-coloring  <on|off>
    Enable/disable coloring. Default is on

-hlthick
    Enable highlighting with thick lines and bold characters

-hlcolor <red> <green> <blue>
    Enable highlighting with color. Component values must be in range [0..255]

-bgcolor <red> <green> <blue>
    Set the background color. Component values must be in range [0..255]

-basecolor <red> <green> <blue>
    Set the default foreground color. Component values must be in range [0..255]

-aamcolor <red> <green> <blue>
    Set the color of AAM indices. Component values must be in range [0..255]

-dsgcolor <red> <green> <blue>
    Set the color of data SGroups. Component values must be in range [0..255]

-commentcolor <red> <green> <blue>
    Set the color of the comment. Component values must be in range [0..255]

-atomnumbers
    Show atom numbers (for debugging purposes only)

-bondnumbers
    Show bond numbers (for debugging purposes only)

-onebased
    Start atom and bond indices from one. Default is from zero

-help
    Print this help message

EXAMPLES
indigo-depict infile.mol outfile.png -coloring off -arom
indigo-depict database.sdf molecule_%s.png -idfield cdbregno -thickness 1.1
indigo-depict database.smi database.sdf
indigo-depict - CC.[O-][*-]([O-])=O query.png -query
indigo-depict - OCO>>CC(C)N reaction.rxn

AUTHOR
This manual page was written by Daniel Leidert <dleidert@debian.org>, for the Debian GNU/Linux system (but may be used by others).